# 开发环境配置
server:
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 1000
    max-connections: 20000
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30
# Spring配置
spring:
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  profiles:
    active: @env@
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
#  main:
#    web-application-type: none
# MyBatis
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: cn.com.wingxi.biandan.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:config/mybatis-config.xml
# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql

# snowflake 配置
idworkcfg:
  # 机器标识位数
  workerId: 4
  # 数据中心标识位数
  dataCenterId: 4

wx:
  miniapp:
    appid: "wx749421f425650fb2"
    secret: "bf0d4499b7da9f9605f74ca5daa12a90"
  pay:
    mch-id: "1514166051"
    apiv3-key: "Rongxi88888888888888888888888888"
    private-key-path: "classpath:META-INF/apiclient_key.pem"
    private-cert-path: "classpath:META-INF/apiclient_cert.p12"

aliyun:
  oss:
    endPoint: oss-cn-beijing.aliyuncs.com
    accessKeyID: LTAI5tMiMyyya41eaFJ8vcoU
    accessKeySecret: kAIazWRGoz1ird2ynzwgcwWzM9vMCu
    bucketName: bucket-gululuq
    # 如果有自定义域名
    customDomain: res.gululuq.com